mbed TLS v2.16.0: mbedtls_x509_csr Struct Reference

mbed TLS v2.16.0

Data Fields
mbedtls_x509_csr Struct Reference
X.509 module

`#include <x509_csr.h>`

Collaboration diagram for mbedtls_x509_csr:
[legend]

## Data Fields
mbedtls_x509_buf | raw
mbedtls_x509_buf | cri
int | version
mbedtls_x509_buf | subject_raw
mbedtls_x509_name | subject
mbedtls_pk_context | pk
mbedtls_x509_buf | sig_oid
mbedtls_x509_buf | sig
mbedtls_md_type_t | sig_md
mbedtls_pk_type_t | sig_pk
void * | sig_opts

## Detailed Description

Certificate Signing Request (CSR) structure.

Definition at line 51 of file x509_csr.h.

## Field Documentation

## ◆ cri

mbedtls_x509_buf mbedtls_x509_csr::cri

The raw CertificateRequestInfo body (DER).

Definition at line 54 of file x509_csr.h.

## ◆ pk

mbedtls_pk_context mbedtls_x509_csr::pk

Container for the public key context.

Definition at line 61 of file x509_csr.h.

## ◆ raw

mbedtls_x509_buf mbedtls_x509_csr::raw

The raw CSR data (DER).

Definition at line 53 of file x509_csr.h.

## ◆ sig

mbedtls_x509_buf mbedtls_x509_csr::sig

Definition at line 64 of file x509_csr.h.

## ◆ sig_md

mbedtls_md_type_t mbedtls_x509_csr::sig_md

Internal representation of the MD algorithm of the signature algorithm, e.g. MBEDTLS_MD_SHA256

Definition at line 65 of file x509_csr.h.

## ◆ sig_oid

mbedtls_x509_buf mbedtls_x509_csr::sig_oid

Definition at line 63 of file x509_csr.h.

## ◆ sig_opts

void* mbedtls_x509_csr::sig_opts

Signature options to be passed to mbedtls_pk_verify_ext(), e.g. for RSASSA-PSS

Definition at line 67 of file x509_csr.h.

## ◆ sig_pk

mbedtls_pk_type_t mbedtls_x509_csr::sig_pk

Internal representation of the Public Key algorithm of the signature algorithm, e.g. MBEDTLS_PK_RSA

Definition at line 66 of file x509_csr.h.

## ◆ subject

mbedtls_x509_name mbedtls_x509_csr::subject

The parsed subject data (named information object).

Definition at line 59 of file x509_csr.h.

## ◆ subject_raw

mbedtls_x509_buf mbedtls_x509_csr::subject_raw

The raw subject data (DER).

Definition at line 58 of file x509_csr.h.

## ◆ version

int mbedtls_x509_csr::version

CSR version (1=v1).

Definition at line 56 of file x509_csr.h.

The documentation for this struct was generated from the following file:

- x509_csr.h